WordPress Eventify Plugin “npath” fájl beszúrási sérülékenység

CH azonosító

CH-5726

Angol cím

WordPress Eventify Plugin "npath" File Inclusion Vulnerability

Felfedezés dátuma

2011.10.06.

Súlyosság

Magas

Érintett rendszerek

Eventify plugin
WordPress

Érintett verziók

WordPress Eventify Plugin 1.x

Összefoglaló

A WordPress Eventify plugin egy sérülékenysége vált ismertté, amelyet kihasználva a támadók feltörhetik a sérülékeny rendszert.

Leírás

A wp-content/plugins/eventify/php/ajax/fetcheventdetails.php részére az “npath” paraméteren keresztül  átadott bemeneti adat nincs megfelelően megtisztítva, mielőtt fájlok beszúrásához felhasználásra kerülne. Ezt kihasználva tetszőleges lokális vagy távoli fájl beszúrása lehetővé válik.

A sérülékenységet az 1.7.g verzióban jelentették. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen az 1.7.h verzióra.

Hivatkozások

Gyártói referencia: wordpress.org
Gyártói referencia: plugins.trac.wordpress.org
SECUNIA 46345